# $Revision: 1.33 $, $Date: 2004/10/30 00:34:44 $
Summary:	DOOM Legacy for Linux
Summary(pl):	DOOM Legacy dla Linuksa
Name:		doomlegacy
Version:	1.42
Release:	1
License:	GPL, perhaps except for doom3.wad
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/doomlegacy/legacy_142_src.tar.gz
# Source0-md5:	62f5cdad464463038d568a53b13c22f7
Source1:	http://dl.sourceforge.net/doomlegacy/doom3_wad_132.zip
# Source1-md5:	3d737bb577bc4295af68d54988191344
Source2:	http://ep09.pld-linux.org/~havner/legacy.dat
# Source2-md5:	df5cac5c3d37849ceb432cbff4df2415
Source4:	%{name}-x11.desktop
Source5:	%{name}-sdl.desktop
Source6:	%{name}.png
Icon:		doomlegacy.xpm
URL:		http://legacy.newdoom.com/
Patch0:		%{name}-paths.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-nosndstat.patch
Patch3:		%{name}-sound.patch
Patch4:		%{name}-errno.patch
Patch5:		%{name}-nocmap.patch
Patch6:		%{name}-vidmodes.patch
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-devel
BuildRequires:	nasm
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags	-O1 -g
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
DOOM Legacy for Linux.

%description -l pl
DOOM Legacy dla Linuksa.

%package common
Summary:	DOOM Legacy for Linux - common files
Summary(pl):	DOOM Legacy dla Linuksa - pliki wsplne
Group:		X11/Applications/Games

%description common
Common files for both versions of DOOM Legacy.

%description common -l pl
Pliki wsplne dla obu wersji DOOM Legacy.

%package X11
Summary:	DOOM Legacy for Linux - X Window and OpenGL version
Summary(pl):	DOOM Legacy dla Linuksa - wersja korzystajca z X Window i OpenGL
Group:		X11/Applications/Games
Requires:	OpenGL
Obsoletes:	%{name}-x11

%description X11
This is DOOM Legacy for Linux - X11 and OpenGL version.

%description X11 -l pl
To jest DOOM Legacy dla Linuksa - wersja korzystajca z X Window i
OpenGL.

%package sdl
Summary:	DOOM Legacy for Linux - SDL version
Summary(pl):	DOOM Legacy dla Linuksa - wersja korzystajca z SDL
Group:		X11/Applications/Games
Requires:	OpenGL

%description sdl
This is DOOM Legacy for Linux - SDL version.

%description sdl -l pl
To jest DOOM Legacy dla Linuksa - wersja SDL.

%prep
%setup -q -c -a1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
mkdir bin

# linux_x contains some precompiled binary objects (incompatible with glibc 2.3) - kill them
%{__make} -C doomlegacy_142_src clean LINUX=1
%{__make} -C doomlegacy_142_src \
	PGCC=1 LINUX=1 OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%{__make} -C doomlegacy_142_src clean LINUX=1
%{__make} -C doomlegacy_142_src \
	PGCC=1 LINUX=1 SDL=1 OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/doomlegacy,%{_datadir}/doomlegacy} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

install bin/llxdoom	$RPM_BUILD_ROOT%{_bindir}
install bin/lsdldoom	$RPM_BUILD_ROOT%{_bindir}
install doomlegacy_142_src/linux_x/sndserv/linux/llsndserv $RPM_BUILD_ROOT%{_libdir}/doomlegacy
install doomlegacy_142_src/linux_x/musserv/linux/musserver $RPM_BUILD_ROOT%{_libdir}/doomlegacy
install bin/r_opengl.so	$RPM_BUILD_ROOT%{_libdir}/doomlegacy


install doom3.wad	$RPM_BUILD_ROOT%{_datadir}/doomlegacy
install %{SOURCE2}	$RPM_BUILD_ROOT%{_datadir}/doomlegacy

install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post common
if [ "$1" = "1" ]; then
	echo "To run doomlegacy you need some WAD file: either freedoom package"
	echo "or some shareware or commercial WAD from Doom or Heretic:"
	echo "Doom.wad, Doom1.wad, Doom2.wad, Tnt.wad, Plutonia.wad,"
	echo "Heretic.wad or Heretic1.wad ."
fi

%files common
%defattr(644,root,root,755)
%doc doomlegacy_142_src/_doc/*.txt
%dir %{_libdir}/doomlegacy
%attr(755,root,root) %{_libdir}/doomlegacy/*serv*
%{_datadir}/doomlegacy
%{_pixmapsdir}/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/llxdoom
%attr(755,root,root) %{_libdir}/doomlegacy/r_opengl.so
%{_desktopdir}/*x11.desktop

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lsdldoom
%{_desktopdir}/*sdl.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: doomlegacy.spec,v $
Revision 1.33  2004/10/30 00:34:44  havner
- changed location of legacy.dat

Revision 1.32  2004/10/29 22:07:14  havner
- 1.42, works

Revision 1.31  2004/10/01 09:59:49  paladine
- rel 7 for fixed desktop files

Revision 1.30  2003/12/10 15:33:33  grzegol
- _applnkdir -> _desktopdir; rel. 6

Revision 1.29  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.28  2003/10/09 19:31:30  qboosh
- separated freedoom data (as it's optional); post message is back

Revision 1.27  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/06/13 15:37:55  ankry
- working wad URL, fixed md5

Revision 1.25  2003/06/13 15:31:33  ankry
- md5

Revision 1.24  2003/05/25 05:46:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/10 19:10:12  misi3k
- rel 5
- added freedoom wad - doom2,wad

Revision 1.22  2003/03/14 09:04:42  qboosh
- vidmodes patch by ankry merged from RA-branch

Revision 1.21  2003/03/12 17:30:40  ankry
- s/Arcade/FPP/

Revision 1.20  2003/03/07 22:38:34  qboosh
- added errno patch (build fix needed on glibc 2.3.2)
- added no-cmap patch (don't try to force colour map in TrueColor modes)

Revision 1.19  2003/03/07 13:27:40  ankry
- merged from RA-branch:
 -- s/x11/X11/
 -- added icon and applnk icon
 -- added desktop files (sdl,x11)
 -- moved to Games/Arcade, rel. 4

Revision 1.18  2003/03/07 09:53:27  misi3k
- added desktop files (sdl,x11)
- rel 3

Revision 1.17  2003/03/06 18:51:41  misi3k
- I'm restoring previous version, it crashes with optimalizations on one machine only (rel2).

Revision 1.16  2003/03/06 17:16:15  misi3k
- Removed optimalizations that caused machine to crash (musserver)
- rel. 3

Revision 1.15  2003/02/27 00:05:52  qboosh
- fixed Makefile patch (more OPTFLAGS needed)
- fixed build with current glibc (problem caused by precompiled objects)

Revision 1.14  2003/02/25 13:02:15  qboosh
- it's version 1.40

Revision 1.13  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.12  2003/02/23 00:28:01  misi3k
- release 2
- sound&music patch (fix paths to snd&mus serv)

Revision 1.11  2003/02/22 20:43:44  misi3k
- updated to 1.4
- added legacy_dat
- paths - s/\/usr\/X11R6/\/usr//

Revision 1.10  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.9  2002/11/25 15:01:43  marcus
- use new %%doc

Revision 1.8  2002/04/25 16:13:02  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/14 22:24:24  qboosh
- pl translation for base package (for SRPM), release 1.beta1.1

Revision 1.5  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/18 19:41:44  kloczek
- added "ExclusiveArch: %%{ix86}" (source code contains some x86 specyfic asm
  inclutions).

Revision 1.3  2001/07/18 18:56:11  kloczek
- cosmetics.

Revision 1.2  2001/07/18 16:20:10  qboosh
- build SDL version too (can be run on svgalib, FB, etc.)
- moved {mus,snd}serv to private lib directory (possible conflict with other
  dooms/heretics etc.)
- WADDIR = /usr/X11R6/share/doomlegacy (/usr/X11R6/share/games doesn't exist)
- fixed more paths in sources
- don't require /dev/sndstat in musserv (kernel 2.4 doesn't have it)
- fixed builddir (objs dir was not cleaned)

Revision 1.1  2001/06/30 09:43:16  waszi
- initial release
- need check
